# CloudTemplateDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**license_key** | **str** | The key is automatically generated from the server for the Robot machine.  &lt;para /&gt;For the robot to work, the same key must exist on both the robot and Orchestrator.  &lt;para /&gt;All robots on a machine must have the same license key in order to register correctly. | [optional] 
**name** | **str** | The name of the Machine a Robot is hosted on. | 
**description** | **str** |  | [optional] 
**type** | **str** | The type of the Machine (Standard / Template). | [optional] 
**scope** | **str** | The scope of the Machine (Default / Shared / PW / Cloud / Serverless). | [optional] 
**non_production_slots** | **int** | Number of NonProduction slots to be reserved at runtime | [optional] 
**unattended_slots** | **int** | Number of Unattended slots to be reserved at runtime | [optional] 
**headless_slots** | **int** | Number of Headless slots to be reserved at runtime | [optional] 
**test_automation_slots** | **int** | Number of TestAutomation slots to be reserved at runtime | [optional] 
**automation_cloud_slots** | **int** | Number of AutomationCloud slots to be reserved at runtime | [optional] 
**automation_cloud_test_automation_slots** | **int** | Number of AutomationCloudTestAutomation slots to be reserved at runtime | [optional] 
**key** | **str** | An immutable unique identifier that is preserved during tenant migration | [optional] 
**endpoint_detection_status** | **str** | The EDR protection status of the connected hosts. | [optional] 
**robot_versions** | [**list[MachinesRobotVersionDto]**](MachinesRobotVersionDto.md) | The versions of the Robots hosted on the Machine. | [optional] 
**robot_users** | [**list[RobotUserDto]**](RobotUserDto.md) | Robots assigned to template machine. | [optional] 
**automation_type** | **str** | The automation type the machine supports. | [optional] 
**target_framework** | **str** | The target frameworks the machine supports. | [optional] 
**update_policy** | [**UpdatePolicyDto**](UpdatePolicyDto.md) |  | [optional] 
**client_secret** | **str** | Client secret generated by Identity Server  Use in combination with LicenseKey (ClientId) to connect robot | [optional] 
**tags** | [**list[TagDto]**](TagDto.md) |  | [optional] 
**maintenance_window** | [**MaintenanceWindowDto**](MaintenanceWindowDto.md) |  | [optional] 
**vpn_settings** | [**MachineVpnSettingsDto**](MachineVpnSettingsDto.md) |  | [optional] 
**id** | **int** |  | [optional] 
**external_pool_key** | **str** | The external pool associated with the machine. | [optional] 
**hosting** | **str** | The Hosting type of the spec | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


