# QueueItemDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**queue_definition_id** | **int** | The Id of the parent queue. | [optional] 
**queue_definition** | [**QueueDefinitionDto**](QueueDefinitionDto.md) |  | [optional] 
**processing_exception** | [**ProcessingExceptionDto**](ProcessingExceptionDto.md) |  | [optional] 
**encrypted** | **bool** | Is the item has encrypted data in the database | [optional] 
**specific_content** | **dict(str, object)** | A collection of key value pairs containing custom data configured in the Add Queue Item activity, in UiPath Studio. | [optional] 
**output** | **dict(str, object)** | A collection of key value pairs containing custom data resulted after successful processing. | [optional] 
**output_data** | **str** | A JSON representation of the output data generated by the item&#39;s processing. | [optional] 
**analytics** | **dict(str, object)** | A collection of key value pairs containing custom data for further analytics processing. | [optional] 
**analytics_data** | **str** | A JSON representation of the analytics data generated by the item&#39;s processing. | [optional] 
**status** | **str** | The processing state of the item. | [optional] 
**review_status** | **str** | The review state of the item - applicable only for failed items. | [optional] 
**reviewer_user_id** | **int** | The UserId of the Reviewer, if any. | [optional] 
**reviewer_user** | [**SimpleUserDto**](SimpleUserDto.md) |  | [optional] 
**key** | **str** | The Key of a queue item. In a retry-chain, all retries will inherit the initial queue item&#39;s Key. | [optional] 
**reference** | **str** | An optional, user-specified value for queue item identification. | [optional] 
**processing_exception_type** | **str** | The processing exception. If the item has not been processed or has been processed successfully it will be null. | [optional] 
**due_date** | **datetime** | The latest date and time at which the item should be processed. If empty the item can be processed at any given time. | [optional] 
**risk_sla_date** | **datetime** | The RiskSla date at time which is considered as risk zone for the item to be processed. | [optional] 
**priority** | **str** | Sets the processing importance for a given item. | [optional] 
**robot** | [**SimpleRobotDto**](SimpleRobotDto.md) |  | [optional] 
**robot_id** | **int** |  | [optional] 
**defer_date** | **datetime** | The earliest date and time at which the item is available for processing. If empty the item can be processed as soon as possible. | [optional] 
**start_processing** | **datetime** | The date and time at which the item processing started. This is null if the item was not processed. | [optional] 
**end_processing** | **datetime** | The date and time at which the item processing ended. This is null if the item was not processed. | [optional] 
**seconds_in_previous_attempts** | **int** | The number of seconds that the last failed processing lasted. | [optional] 
**ancestor_id** | **int** | The Id of the item being Automatically retried. | [optional] 
**ancestor_unique_key** | **str** | The Unique Key of the item being Automatically retried. | [optional] 
**retry_number** | **int** | The number of times this work item has been processed.  &lt;para /&gt;This can be higher than 0 only if MaxRetried number is set and the item processing failed at least once with ApplicationException. | [optional] 
**manual_ancestor_id** | **int** | The Id of the item being Manually retried. | [optional] 
**manual_ancestor_unique_key** | **str** | The Unique Key of the item being Manually retried. | [optional] 
**manual_retry_number** | **int** | The number of times this work item has been Manually retried. | [optional] 
**unique_key** | **str** | The Unique Key of the item. | [optional] 
**has_video_recorded** | **bool** | DEPRECATED. True if any execution video has been recorded for this queue item, false otherwise. | [optional] 
**specific_data** | **str** | A JSON representation of the specific content. | [optional] 
**creation_time** | **datetime** | The date and time when the item was created. | [optional] 
**progress** | **str** | String field which is used to keep track of the business flow progress. | [optional] 
**row_version** | **str** | Identifier used for optimistic concurrency, so Orchestrator can figure whether data is out of date or not. | [optional] 
**parent_operation_id** | **str** | Operation id which added the queue item | [optional] 
**operation_id** | **str** | Operation id which processed the queue item | [optional] 
**organization_unit_id** | **int** | DEPRECATED.  | [optional] 
**organization_unit_fully_qualified_name** | **str** | DEPRECATED.  | [optional] 
**id** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


