# coding: utf-8

"""
    UiPath.WebApi 18.0

    Orchestrator API  # noqa: E501

    OpenAPI spec version: 18.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six

from uipath_orchestrator_rest.configuration import Configuration


class CredentialsProxyResourceDto(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'type': 'str',
        'credential_store_id': 'int',
        'credential_store_name': 'str',
        'id': 'int'
    }

    attribute_map = {
        'name': 'Name',
        'type': 'Type',
        'credential_store_id': 'CredentialStoreId',
        'credential_store_name': 'CredentialStoreName',
        'id': 'Id'
    }

    def __init__(self, name=None, type=None, credential_store_id=None, credential_store_name=None, id=None, _configuration=None):  # noqa: E501
        """CredentialsProxyResourceDto - a model defined in Swagger"""  # noqa: E501
        if _configuration is None:
            _configuration = Configuration()
        self._configuration = _configuration

        self._name = None
        self._type = None
        self._credential_store_id = None
        self._credential_store_name = None
        self._id = None
        self.discriminator = None

        self.name = name
        self.type = type
        self.credential_store_id = credential_store_id
        self.credential_store_name = credential_store_name
        if id is not None:
            self.id = id

    @property
    def name(self):
        """Gets the name of this CredentialsProxyResourceDto.  # noqa: E501


        :return: The name of this CredentialsProxyResourceDto.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this CredentialsProxyResourceDto.


        :param name: The name of this CredentialsProxyResourceDto.  # noqa: E501
        :type: str
        """
        if self._configuration.client_side_validation and name is None:
            raise ValueError("Invalid value for `name`, must not be `None`")  # noqa: E501
        if (self._configuration.client_side_validation and
                name is not None and len(name) < 1):
            raise ValueError("Invalid value for `name`, length must be greater than or equal to `1`")  # noqa: E501

        self._name = name

    @property
    def type(self):
        """Gets the type of this CredentialsProxyResourceDto.  # noqa: E501

        This enum describes the type of resources that can be affiliated to a Credentials Proxy.  # noqa: E501

        :return: The type of this CredentialsProxyResourceDto.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this CredentialsProxyResourceDto.

        This enum describes the type of resources that can be affiliated to a Credentials Proxy.  # noqa: E501

        :param type: The type of this CredentialsProxyResourceDto.  # noqa: E501
        :type: str
        """
        if self._configuration.client_side_validation and type is None:
            raise ValueError("Invalid value for `type`, must not be `None`")  # noqa: E501
        allowed_values = ["AssetCredential", "RobotCredential", "BucketCredential", "Secrets", "CredentialStore"]  # noqa: E501
        if (self._configuration.client_side_validation and
                type not in allowed_values):
            raise ValueError(
                "Invalid value for `type` ({0}), must be one of {1}"  # noqa: E501
                .format(type, allowed_values)
            )

        self._type = type

    @property
    def credential_store_id(self):
        """Gets the credential_store_id of this CredentialsProxyResourceDto.  # noqa: E501


        :return: The credential_store_id of this CredentialsProxyResourceDto.  # noqa: E501
        :rtype: int
        """
        return self._credential_store_id

    @credential_store_id.setter
    def credential_store_id(self, credential_store_id):
        """Sets the credential_store_id of this CredentialsProxyResourceDto.


        :param credential_store_id: The credential_store_id of this CredentialsProxyResourceDto.  # noqa: E501
        :type: int
        """
        if self._configuration.client_side_validation and credential_store_id is None:
            raise ValueError("Invalid value for `credential_store_id`, must not be `None`")  # noqa: E501

        self._credential_store_id = credential_store_id

    @property
    def credential_store_name(self):
        """Gets the credential_store_name of this CredentialsProxyResourceDto.  # noqa: E501


        :return: The credential_store_name of this CredentialsProxyResourceDto.  # noqa: E501
        :rtype: str
        """
        return self._credential_store_name

    @credential_store_name.setter
    def credential_store_name(self, credential_store_name):
        """Sets the credential_store_name of this CredentialsProxyResourceDto.


        :param credential_store_name: The credential_store_name of this CredentialsProxyResourceDto.  # noqa: E501
        :type: str
        """
        if self._configuration.client_side_validation and credential_store_name is None:
            raise ValueError("Invalid value for `credential_store_name`, must not be `None`")  # noqa: E501
        if (self._configuration.client_side_validation and
                credential_store_name is not None and len(credential_store_name) < 1):
            raise ValueError("Invalid value for `credential_store_name`, length must be greater than or equal to `1`")  # noqa: E501

        self._credential_store_name = credential_store_name

    @property
    def id(self):
        """Gets the id of this CredentialsProxyResourceDto.  # noqa: E501


        :return: The id of this CredentialsProxyResourceDto.  # noqa: E501
        :rtype: int
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this CredentialsProxyResourceDto.


        :param id: The id of this CredentialsProxyResourceDto.  # noqa: E501
        :type: int
        """

        self._id = id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(CredentialsProxyResourceDto, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CredentialsProxyResourceDto):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, CredentialsProxyResourceDto):
            return True

        return self.to_dict() != other.to_dict()
