# coding: utf-8

"""
    UiPath.WebApi 18.0

    Orchestrator API  # noqa: E501

    OpenAPI spec version: 18.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six

from uipath_orchestrator_rest.configuration import Configuration


class DomainUserAssignmentDto(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'domain': 'str',
        'user_name': 'str',
        'directory_identifier': 'str',
        'user_type': 'str',
        'roles_per_folder': 'list[FolderRolesDto]'
    }

    attribute_map = {
        'domain': 'Domain',
        'user_name': 'UserName',
        'directory_identifier': 'DirectoryIdentifier',
        'user_type': 'UserType',
        'roles_per_folder': 'RolesPerFolder'
    }

    def __init__(self, domain=None, user_name=None, directory_identifier=None, user_type=None, roles_per_folder=None, _configuration=None):  # noqa: E501
        """DomainUserAssignmentDto - a model defined in Swagger"""  # noqa: E501
        if _configuration is None:
            _configuration = Configuration()
        self._configuration = _configuration

        self._domain = None
        self._user_name = None
        self._directory_identifier = None
        self._user_type = None
        self._roles_per_folder = None
        self.discriminator = None

        if domain is not None:
            self.domain = domain
        if user_name is not None:
            self.user_name = user_name
        if directory_identifier is not None:
            self.directory_identifier = directory_identifier
        if user_type is not None:
            self.user_type = user_type
        if roles_per_folder is not None:
            self.roles_per_folder = roles_per_folder

    @property
    def domain(self):
        """Gets the domain of this DomainUserAssignmentDto.  # noqa: E501


        :return: The domain of this DomainUserAssignmentDto.  # noqa: E501
        :rtype: str
        """
        return self._domain

    @domain.setter
    def domain(self, domain):
        """Sets the domain of this DomainUserAssignmentDto.


        :param domain: The domain of this DomainUserAssignmentDto.  # noqa: E501
        :type: str
        """

        self._domain = domain

    @property
    def user_name(self):
        """Gets the user_name of this DomainUserAssignmentDto.  # noqa: E501


        :return: The user_name of this DomainUserAssignmentDto.  # noqa: E501
        :rtype: str
        """
        return self._user_name

    @user_name.setter
    def user_name(self, user_name):
        """Sets the user_name of this DomainUserAssignmentDto.


        :param user_name: The user_name of this DomainUserAssignmentDto.  # noqa: E501
        :type: str
        """

        self._user_name = user_name

    @property
    def directory_identifier(self):
        """Gets the directory_identifier of this DomainUserAssignmentDto.  # noqa: E501


        :return: The directory_identifier of this DomainUserAssignmentDto.  # noqa: E501
        :rtype: str
        """
        return self._directory_identifier

    @directory_identifier.setter
    def directory_identifier(self, directory_identifier):
        """Sets the directory_identifier of this DomainUserAssignmentDto.


        :param directory_identifier: The directory_identifier of this DomainUserAssignmentDto.  # noqa: E501
        :type: str
        """

        self._directory_identifier = directory_identifier

    @property
    def user_type(self):
        """Gets the user_type of this DomainUserAssignmentDto.  # noqa: E501


        :return: The user_type of this DomainUserAssignmentDto.  # noqa: E501
        :rtype: str
        """
        return self._user_type

    @user_type.setter
    def user_type(self, user_type):
        """Sets the user_type of this DomainUserAssignmentDto.


        :param user_type: The user_type of this DomainUserAssignmentDto.  # noqa: E501
        :type: str
        """
        allowed_values = ["User", "Robot", "DirectoryUser", "DirectoryGroup", "DirectoryRobot", "DirectoryExternalApplication"]  # noqa: E501
        if (self._configuration.client_side_validation and
                user_type not in allowed_values):
            raise ValueError(
                "Invalid value for `user_type` ({0}), must be one of {1}"  # noqa: E501
                .format(user_type, allowed_values)
            )

        self._user_type = user_type

    @property
    def roles_per_folder(self):
        """Gets the roles_per_folder of this DomainUserAssignmentDto.  # noqa: E501


        :return: The roles_per_folder of this DomainUserAssignmentDto.  # noqa: E501
        :rtype: list[FolderRolesDto]
        """
        return self._roles_per_folder

    @roles_per_folder.setter
    def roles_per_folder(self, roles_per_folder):
        """Sets the roles_per_folder of this DomainUserAssignmentDto.


        :param roles_per_folder: The roles_per_folder of this DomainUserAssignmentDto.  # noqa: E501
        :type: list[FolderRolesDto]
        """

        self._roles_per_folder = roles_per_folder

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(DomainUserAssignmentDto, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, DomainUserAssignmentDto):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, DomainUserAssignmentDto):
            return True

        return self.to_dict() != other.to_dict()
