# coding: utf-8

"""
    UiPath.WebApi 18.0

    Orchestrator API  # noqa: E501

    OpenAPI spec version: 18.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six

from uipath_orchestrator_rest.configuration import Configuration


class EditTaskMetadataRequest(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'task_id': 'int',
        'title': 'str',
        'task_catalog_id': 'int',
        'unset_task_catalog': 'bool',
        'priority': 'str',
        'note_text': 'str'
    }

    attribute_map = {
        'task_id': 'TaskId',
        'title': 'Title',
        'task_catalog_id': 'TaskCatalogId',
        'unset_task_catalog': 'UnsetTaskCatalog',
        'priority': 'Priority',
        'note_text': 'NoteText'
    }

    def __init__(self, task_id=None, title=None, task_catalog_id=None, unset_task_catalog=None, priority=None, note_text=None, _configuration=None):  # noqa: E501
        """EditTaskMetadataRequest - a model defined in Swagger"""  # noqa: E501
        if _configuration is None:
            _configuration = Configuration()
        self._configuration = _configuration

        self._task_id = None
        self._title = None
        self._task_catalog_id = None
        self._unset_task_catalog = None
        self._priority = None
        self._note_text = None
        self.discriminator = None

        self.task_id = task_id
        if title is not None:
            self.title = title
        if task_catalog_id is not None:
            self.task_catalog_id = task_catalog_id
        if unset_task_catalog is not None:
            self.unset_task_catalog = unset_task_catalog
        if priority is not None:
            self.priority = priority
        if note_text is not None:
            self.note_text = note_text

    @property
    def task_id(self):
        """Gets the task_id of this EditTaskMetadataRequest.  # noqa: E501

        Id of Task which have to be edited  # noqa: E501

        :return: The task_id of this EditTaskMetadataRequest.  # noqa: E501
        :rtype: int
        """
        return self._task_id

    @task_id.setter
    def task_id(self, task_id):
        """Sets the task_id of this EditTaskMetadataRequest.

        Id of Task which have to be edited  # noqa: E501

        :param task_id: The task_id of this EditTaskMetadataRequest.  # noqa: E501
        :type: int
        """
        if self._configuration.client_side_validation and task_id is None:
            raise ValueError("Invalid value for `task_id`, must not be `None`")  # noqa: E501

        self._task_id = task_id

    @property
    def title(self):
        """Gets the title of this EditTaskMetadataRequest.  # noqa: E501

        Title of task  # noqa: E501

        :return: The title of this EditTaskMetadataRequest.  # noqa: E501
        :rtype: str
        """
        return self._title

    @title.setter
    def title(self, title):
        """Sets the title of this EditTaskMetadataRequest.

        Title of task  # noqa: E501

        :param title: The title of this EditTaskMetadataRequest.  # noqa: E501
        :type: str
        """
        if (self._configuration.client_side_validation and
                title is not None and len(title) > 512):
            raise ValueError("Invalid value for `title`, length must be less than or equal to `512`")  # noqa: E501

        self._title = title

    @property
    def task_catalog_id(self):
        """Gets the task_catalog_id of this EditTaskMetadataRequest.  # noqa: E501

        Action Catalog to be associated with the task  # noqa: E501

        :return: The task_catalog_id of this EditTaskMetadataRequest.  # noqa: E501
        :rtype: int
        """
        return self._task_catalog_id

    @task_catalog_id.setter
    def task_catalog_id(self, task_catalog_id):
        """Sets the task_catalog_id of this EditTaskMetadataRequest.

        Action Catalog to be associated with the task  # noqa: E501

        :param task_catalog_id: The task_catalog_id of this EditTaskMetadataRequest.  # noqa: E501
        :type: int
        """

        self._task_catalog_id = task_catalog_id

    @property
    def unset_task_catalog(self):
        """Gets the unset_task_catalog of this EditTaskMetadataRequest.  # noqa: E501

        Unset/Unassociate action catalogs with the task  Set to true for unassociating catalog  # noqa: E501

        :return: The unset_task_catalog of this EditTaskMetadataRequest.  # noqa: E501
        :rtype: bool
        """
        return self._unset_task_catalog

    @unset_task_catalog.setter
    def unset_task_catalog(self, unset_task_catalog):
        """Sets the unset_task_catalog of this EditTaskMetadataRequest.

        Unset/Unassociate action catalogs with the task  Set to true for unassociating catalog  # noqa: E501

        :param unset_task_catalog: The unset_task_catalog of this EditTaskMetadataRequest.  # noqa: E501
        :type: bool
        """

        self._unset_task_catalog = unset_task_catalog

    @property
    def priority(self):
        """Gets the priority of this EditTaskMetadataRequest.  # noqa: E501

        Priority of task  # noqa: E501

        :return: The priority of this EditTaskMetadataRequest.  # noqa: E501
        :rtype: str
        """
        return self._priority

    @priority.setter
    def priority(self, priority):
        """Sets the priority of this EditTaskMetadataRequest.

        Priority of task  # noqa: E501

        :param priority: The priority of this EditTaskMetadataRequest.  # noqa: E501
        :type: str
        """
        allowed_values = ["Low", "Medium", "High", "Critical"]  # noqa: E501
        if (self._configuration.client_side_validation and
                priority not in allowed_values):
            raise ValueError(
                "Invalid value for `priority` ({0}), must be one of {1}"  # noqa: E501
                .format(priority, allowed_values)
            )

        self._priority = priority

    @property
    def note_text(self):
        """Gets the note_text of this EditTaskMetadataRequest.  # noqa: E501

        Comment to be added while doing the edit operation  # noqa: E501

        :return: The note_text of this EditTaskMetadataRequest.  # noqa: E501
        :rtype: str
        """
        return self._note_text

    @note_text.setter
    def note_text(self, note_text):
        """Sets the note_text of this EditTaskMetadataRequest.

        Comment to be added while doing the edit operation  # noqa: E501

        :param note_text: The note_text of this EditTaskMetadataRequest.  # noqa: E501
        :type: str
        """
        if (self._configuration.client_side_validation and
                note_text is not None and len(note_text) > 512):
            raise ValueError("Invalid value for `note_text`, length must be less than or equal to `512`")  # noqa: E501

        self._note_text = note_text

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(EditTaskMetadataRequest, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, EditTaskMetadataRequest):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, EditTaskMetadataRequest):
            return True

        return self.to_dict() != other.to_dict()
