# coding: utf-8

"""
    UiPath.WebApi 18.0

    Orchestrator API  # noqa: E501

    OpenAPI spec version: 18.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six

from uipath_orchestrator_rest.configuration import Configuration


class SettingsDto(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'value': 'str',
        'scope': 'str',
        'id': 'str'
    }

    attribute_map = {
        'name': 'Name',
        'value': 'Value',
        'scope': 'Scope',
        'id': 'Id'
    }

    def __init__(self, name=None, value=None, scope=None, id=None, _configuration=None):  # noqa: E501
        """SettingsDto - a model defined in Swagger"""  # noqa: E501
        if _configuration is None:
            _configuration = Configuration()
        self._configuration = _configuration

        self._name = None
        self._value = None
        self._scope = None
        self._id = None
        self.discriminator = None

        self.name = name
        if value is not None:
            self.value = value
        if scope is not None:
            self.scope = scope
        if id is not None:
            self.id = id

    @property
    def name(self):
        """Gets the name of this SettingsDto.  # noqa: E501

        The name of a specific setting (e.g. Abp.Net.Mail.DefaultFromAddress).  # noqa: E501

        :return: The name of this SettingsDto.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this SettingsDto.

        The name of a specific setting (e.g. Abp.Net.Mail.DefaultFromAddress).  # noqa: E501

        :param name: The name of this SettingsDto.  # noqa: E501
        :type: str
        """
        if self._configuration.client_side_validation and name is None:
            raise ValueError("Invalid value for `name`, must not be `None`")  # noqa: E501
        if (self._configuration.client_side_validation and
                name is not None and len(name) > 128):
            raise ValueError("Invalid value for `name`, length must be less than or equal to `128`")  # noqa: E501
        if (self._configuration.client_side_validation and
                name is not None and len(name) < 1):
            raise ValueError("Invalid value for `name`, length must be greater than or equal to `1`")  # noqa: E501

        self._name = name

    @property
    def value(self):
        """Gets the value of this SettingsDto.  # noqa: E501

        The value assigned to a specific setting (e.g. admin@mydomain.com).  # noqa: E501

        :return: The value of this SettingsDto.  # noqa: E501
        :rtype: str
        """
        return self._value

    @value.setter
    def value(self, value):
        """Sets the value of this SettingsDto.

        The value assigned to a specific setting (e.g. admin@mydomain.com).  # noqa: E501

        :param value: The value of this SettingsDto.  # noqa: E501
        :type: str
        """

        self._value = value

    @property
    def scope(self):
        """Gets the scope of this SettingsDto.  # noqa: E501

        The scope of a specific setting.  # noqa: E501

        :return: The scope of this SettingsDto.  # noqa: E501
        :rtype: str
        """
        return self._scope

    @scope.setter
    def scope(self, scope):
        """Sets the scope of this SettingsDto.

        The scope of a specific setting.  # noqa: E501

        :param scope: The scope of this SettingsDto.  # noqa: E501
        :type: str
        """
        allowed_values = ["Application", "Tenant", "User", "All"]  # noqa: E501
        if (self._configuration.client_side_validation and
                scope not in allowed_values):
            raise ValueError(
                "Invalid value for `scope` ({0}), must be one of {1}"  # noqa: E501
                .format(scope, allowed_values)
            )

        self._scope = scope

    @property
    def id(self):
        """Gets the id of this SettingsDto.  # noqa: E501


        :return: The id of this SettingsDto.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this SettingsDto.


        :param id: The id of this SettingsDto.  # noqa: E501
        :type: str
        """

        self._id = id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(SettingsDto, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, SettingsDto):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, SettingsDto):
            return True

        return self.to_dict() != other.to_dict()
